Namespace Enumerations
    Public Enum MimeType
        PDF
        TXT
        DOC
        SUPPORT_ARTICLE_FROM_DB
        CONTENT_ARTICLE_FROM_DB
    End Enum

Public Enum SearchResultType
    Support
    Site
End Enum

Public Enum GWYCategory
  Cable = 1
  HSD = 2
  Telephoney = 3
  UnSpecified = 4
End Enum

Public Enum GwyItemType
  Bundle = 1
  ServicePlan = 2
  Included = 3
  Feature = 4
  Customization = 5
  Choice = 6
End Enum

Public Enum GWYFeatureType
  IsIncluded = 1
  IsOptional = 2
  IsPlaceholder = 3
  IsCustomization = 4
  NotSpecified = 5
End Enum

Public Enum GWYOwnerType
  Bundle = 1
  ServicePlan = 2
  Feature = 4
  Other = 3
  CharterMessages = 5
End Enum

Public Enum GWYBillingVendorType
  ICOM = 1
  CSG = 2
End Enum

Public Enum PriceFrequency
  OneTime = 1
  Monthly = 2
End Enum

Public Enum FeatureCategory
  Premium = 1
  Installation = 2
  Software = 3
  HDUpgrade = 4
  DataEquipment = 5
  DataFeature = 6
  VoiceEquipment = 7
  VoiceFeature = 8
  VideoEquipment = 9
  VideoFeature = 10
  Deposit = 11
  Other = 12
End Enum

Public Enum ServiceType
  Basic = 1
  Digital = 2
  HDTV = 3
  DVR = 4
  VOD = 5
  HSD = 6
  Telephony = 7
  NotSpecified = 8
End Enum

Public Enum GWYUserType
  Visitor = 1
  ContentAdministrator = 2
  ContentAuthor = 4
End Enum

Public Enum G2BFeatureType
  Number = 1
  Selection = 2
End Enum

Public Enum DepedencyType
  Composition = 1
  Association = 2
End Enum

Public Enum DisplayType
  RadioButton = 1
  CheckBox = 2
  DropDown = 3
End Enum

Public Enum ExceptionalItemType
  WireMaintenance = 1
End Enum

Public Enum ExceptionalAction
  OnePerOrder = 1
End Enum

Public Enum GwyCustomizationInputType
  Selection = 1
  Number = 2
  Text = 4
  Other = 8
End Enum

Public Enum Category
  Cable = 1
  HSD = 2
  Telephoney = 3
  UnSpecified = 4
End Enum

Public Enum ItemType
  ' these values should all have the same length. 
  ' whenevr these values are changed, GwyItemType in BL.Service.Entities values should also be changed accordingly.
  Bundle = 1
  ServicePlan = 2
  Feature = 4
End Enum

Public Enum FeatureType
  IsIncluded = 1
  IsOptional = 2
  IsPlaceholder = 3
  IsCustomization = 4
  NotSpecified = 5
End Enum

Public Enum OwnerType
  Bundle = 1
  ServicePlan = 2
  Feature = 4
  Other = 3
  CharterMessages = 5
  ZipCode = 6
End Enum

Public Enum UserType
  Visitor = 1
  Administrator = 2
  Author = 4
End Enum

Public Enum NotificationSeverity
  IsMessage = 1
  IsError = 2
End Enum

Public Enum NotificationAction
  Add = 1
  Remove = 2
End Enum

Public Enum NotificationCode
  Success = 1
  NewServicePlan = 2
  NewBundle = 4
  ChangeServicePlan = 8
  ChangeBundle = 16
  RemoveBundle = 32
  RemoveCustomizationByServicePlan = 64
  CannotAddCustomization = 128
  LocalizationChanged = 256
End Enum

Public Enum UserStatus
  UnIdentified = 1
  Arealized = 2
  Localized = 4
  Authenticated = 8
  Identified = 16
End Enum

Public Enum CreditCardType
  Visa = 1
  Master = 2
  AmericanExpress = 3
  Discover = 4
  Debit = 5
End Enum

Public Enum BankAccountType
  Checking = 1
  Savings = 2
End Enum

Public Enum BillingVendorType
  ICOM = 1
  CSG = 2
End Enum

Public Enum ArticleCategory
  Cable = 1
  HSD = 2
  Telephone = 3
  Account = 4
End Enum

Public Enum ArticleType
  FAQ = 1
  Featured = 2
End Enum

Public Enum BLServiceType
  Basic = 1
  Digital = 2
  HDTV = 3
  DVR = 4
  VOD = 5
  HSD = 6
  Telephony = 7
  NotSpecified = 8
End Enum

Public Enum ScheduleType
  'Telephone = 1
  'NonTelephone = 2
  'Both = 3
  Cable = 1
  HSD = 2
  Telephone = 3
  CableAndHSD = 4
  CableAndTelephone = 5
  HSDAndTelephone = 6
  All = 7
End Enum

Public Enum ExceptionSeverity
  Catastrophic = 1
  Fatal = 2
  High = 3
  Medium = 4
  Low = 5
  CanIgnore = 6
End Enum

Public Enum BLPriceFrequency
  OneTime = 1
  Monthly = 2
End Enum

Public Enum InputType
  Selection = 1
  Number = 2
  Text = 4
  Other = 8
End Enum

Public Enum TriState
  [True] = 1
  [False] = 2
  Unspecified = 4
End Enum

    Public Enum BLRetUsernameStatus
        Success = 1
        Mutliple = 2
        None = 0
        [Error] = -1
    End Enum

End Namespace
